Groovy Documentation

## org.codehaus.groovy.reflection
[Java] Class GeneratedMetaMethod.DgmMethodRecord

    java.lang.Object
      org.codehaus.groovy.reflection.GeneratedMetaMethod.DgmMethodRecord

All Implemented Interfaces:
  java.io.Serializable

    public static class GeneratedMetaMethod.DgmMethodRecord

Field Summary
`java.lang.String` | `className`
`java.lang.String` | `methodName`
`java.lang.Class[]` | `parameters`
`java.lang.Class` | `returnType`

Method Summary
`static java.util.List` | `loadDgmInfo()`
`static void` | `saveDgmInfo(java.util.List records, java.lang.String file)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### className

    public java.lang.String className

### methodName

    public java.lang.String methodName

### parameters

    public java.lang.Class[] parameters

### returnType

    public java.lang.Class returnType

Method Detail

### loadDgmInfo

    public static java.util.List loadDgmInfo()

### saveDgmInfo

    public static void saveDgmInfo(java.util.List records, java.lang.String file)

Groovy Documentation